#ifndef ARTICLE_H
#define ARTICLE_H

#include "entity.h"
#include "seller.h"

#include <string>
#include <memory>

class Seller;

class Article : public Entity
{
public:
    Article();
    Article(std::shared_ptr<Seller> sellerPtr);
    void setArticleNo(int articleNo);
    void setPrice(int price);
    void setDescription(const std::string& description);
private:
    std::shared_ptr<Seller> sellerPtr{};
    int articleNo{};
    int price{};
    std::string description{};
};

#endif