#ifndef SELLER_H
#define SELLER_H

#include "entity.h"
#include "article.h"

#include <string>
#include <vector>

class Article;

class Seller : public Entity
{
  public:
    void setSellerNo(int sellerNo);
    void setFirstName(const std::string& firstName);
    void setLastName(const std::string& lastName);
    void setNumberOfOfferedArticles(int number);

    size_t getNumberOfOfferedArticles();

  private:
    int sellerNo{};
    int numberOfOfferedArticles{};
    std::string firstName{};
    std::string lastName{};
    std::vector<Article> articles{};
};

#endif